net.sf.jasperreports.engine.base

## Class JRBaseFont

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseFont

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRFont, JRStyleContainer
  Direct Known Subclasses:
    JRDesignFont

      public class JRBaseFont
      extends java.lang.Object
      implements JRFont, java.io.Serializable, JRChangeEventsSupport, JRCloneable

  Version:
    $Id: JRBaseFont.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fontName`
    `protected java.lang.Float` | `fontsize`
    `protected java.lang.Boolean` | `isBold`
    `protected java.lang.Boolean` | `isItalic`
    `protected java.lang.Boolean` | `isPdfEmbedded`
    `protected java.lang.Boolean` | `isStrikeThrough`
    `protected java.lang.Boolean` | `isUnderline`
    `protected java.lang.String` | `pdfEncoding`
    `protected java.lang.String` | `pdfFontName`
    `static java.lang.String` | `PROPERTY_BOLD`
    `static java.lang.String` | `PROPERTY_FONT_NAME`
    `static java.lang.String` | `PROPERTY_FONT_SIZE`
    `static java.lang.String` | `PROPERTY_ITALIC`
    `static java.lang.String` | `PROPERTY_PDF_EMBEDDED`
    `static java.lang.String` | `PROPERTY_PDF_ENCODING`
    `static java.lang.String` | `PROPERTY_PDF_FONT_NAME`
    `static java.lang.String` | `PROPERTY_REPORT_FONT`
    `static java.lang.String` | `PROPERTY_STRIKE_THROUGH`
    `static java.lang.String` | `PROPERTY_UNDERLINE`
    `protected JRStyle` | `style`
    `protected JRStyleContainer` | `styleContainer`
    `protected java.lang.String` | `styleNameReference`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRFont

      `DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseFont()`
    `JRBaseFont(JRStyleContainer styleContainer)`
    `JRBaseFont(JRStyleContainer styleContainer, JRFont font)`
    `JRBaseFont(JRStyleContainer styleContainer, JRFont font, JRAbstractObjectFactory factory)`
    `JRBaseFont(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.String` | `getFontName()`
    `float` | `getFontsize()`
    `int` | `getFontSize()` Deprecated. Replaced by `getFontsize()`.
    `java.lang.String` | `getOwnFontName()`
    `java.lang.Float` | `getOwnFontsize()`
    `java.lang.Integer` | `getOwnFontSize()` Deprecated. Replaced by `getOwnFontsize()`.
    `java.lang.String` | `getOwnPdfEncoding()`
    `java.lang.String` | `getOwnPdfFontName()`
    `java.lang.String` | `getPdfEncoding()`
    `java.lang.String` | `getPdfFontName()`
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
    `boolean` | `isBold()`
    `boolean` | `isItalic()`
    `java.lang.Boolean` | `isOwnBold()`
    `java.lang.Boolean` | `isOwnItalic()`
    `java.lang.Boolean` | `isOwnPdfEmbedded()`
    `java.lang.Boolean` | `isOwnStrikeThrough()`
    `java.lang.Boolean` | `isOwnUnderline()`
    `boolean` | `isPdfEmbedded()`
    `boolean` | `isStrikeThrough()`
    `boolean` | `isUnderline()`
    `void` | `setBold(boolean isBold)`
    `void` | `setBold(java.lang.Boolean isBold)` Alternative setBold method which allows also to reset the "own" isBold property.
    `void` | `setFontName(java.lang.String fontName)`
    `void` | `setFontSize(java.lang.Float fontSize)` Method which allows also to reset the "own" size property.
    `void` | `setFontSize(int fontSize)` Deprecated. Replaced by `setFontSize(Float)`.
    `void` | `setFontSize(java.lang.Integer fontSize)` Deprecated. Replaced by `setFontSize(Float)`.
    `void` | `setItalic(boolean isItalic)`
    `void` | `setItalic(java.lang.Boolean isItalic)` Alternative setItalic method which allows also to reset the "own" isItalic property.
    `void` | `setPdfEmbedded(boolean isPdfEmbedded)`
    `void` | `setPdfEmbedded(java.lang.Boolean isPdfEmbedded)` Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.
    `void` | `setPdfEncoding(java.lang.String pdfEncoding)`
    `void` | `setPdfFontName(java.lang.String pdfFontName)`
    `void` | `setStrikeThrough(boolean isStrikeThrough)`
    `void` | `setStrikeThrough(java.lang.Boolean isStrikeThrough)` Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.
    `void` | `setUnderline(boolean isUnderline)`
    `void` | `setUnderline(java.lang.Boolean isUnderline)` Alternative setUnderline method which allows also to reset the "own" isUnderline property.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_BOLD

          public static final java.lang.String PROPERTY_BOLD

      See Also:
        Constant Field Values

    - #### PROPERTY_FONT_NAME

          public static final java.lang.String PROPERTY_FONT_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_FONT_SIZE

          public static final java.lang.String PROPERTY_FONT_SIZE

      See Also:
        Constant Field Values

    - #### PROPERTY_ITALIC

          public static final java.lang.String PROPERTY_ITALIC

      See Also:
        Constant Field Values

    - #### PROPERTY_PDF_EMBEDDED

          public static final java.lang.String PROPERTY_PDF_EMBEDDED

      See Also:
        Constant Field Values

    - #### PROPERTY_PDF_ENCODING

          public static final java.lang.String PROPERTY_PDF_ENCODING

      See Also:
        Constant Field Values

    - #### PROPERTY_PDF_FONT_NAME

          public static final java.lang.String PROPERTY_PDF_FONT_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_REPORT_FONT

          public static final java.lang.String PROPERTY_REPORT_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_STRIKE_THROUGH

          public static final java.lang.String PROPERTY_STRIKE_THROUGH

      See Also:
        Constant Field Values

    - #### PROPERTY_UNDERLINE

          public static final java.lang.String PROPERTY_UNDERLINE

      See Also:
        Constant Field Values

    - #### styleContainer

          protected JRStyleContainer styleContainer

    - #### style

          protected JRStyle style

    - #### styleNameReference

          protected java.lang.String styleNameReference

    - #### fontName

          protected java.lang.String fontName

    - #### isBold

          protected java.lang.Boolean isBold

    - #### isItalic

          protected java.lang.Boolean isItalic

    - #### isUnderline

          protected java.lang.Boolean isUnderline

    - #### isStrikeThrough

          protected java.lang.Boolean isStrikeThrough

    - #### fontsize

          protected java.lang.Float fontsize

    - #### pdfFontName

          protected java.lang.String pdfFontName

    - #### pdfEncoding

          protected java.lang.String pdfEncoding

    - #### isPdfEmbedded

          protected java.lang.Boolean isPdfEmbedded

  - ### Constructor Detail

    - #### JRBaseFont

          public JRBaseFont()

    - #### JRBaseFont

          public JRBaseFont(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes)

    - #### JRBaseFont

          public JRBaseFont(JRStyleContainer styleContainer)

    - #### JRBaseFont

          public JRBaseFont(JRStyleContainer styleContainer,
                    JRFont font)

    - #### JRBaseFont

          public JRBaseFont(JRStyleContainer styleContainer,
                    JRFont font,
                    JRAbstractObjectFactory factory)

  - ### Method Detail

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### getFontName

          public java.lang.String getFontName()

      Specified by:
        `getFontName` in interface `JRFont`

    - #### getOwnFontName

          public java.lang.String getOwnFontName()

      Specified by:
        `getOwnFontName` in interface `JRFont`

    - #### setFontName

          public void setFontName(java.lang.String fontName)

      Specified by:
        `setFontName` in interface `JRFont`

    - #### isBold

          public boolean isBold()

      Specified by:
        `isBold` in interface `JRFont`

    - #### isOwnBold

          public java.lang.Boolean isOwnBold()

      Specified by:
        `isOwnBold` in interface `JRFont`

    - #### setBold

          public void setBold(boolean isBold)

      Specified by:
        `setBold` in interface `JRFont`

    - #### setBold

          public void setBold(java.lang.Boolean isBold)

      Alternative setBold method which allows also to reset the "own" isBold property.
      Specified by:
        `setBold` in interface `JRFont`

    - #### isItalic

          public boolean isItalic()

      Specified by:
        `isItalic` in interface `JRFont`

    - #### isOwnItalic

          public java.lang.Boolean isOwnItalic()

      Specified by:
        `isOwnItalic` in interface `JRFont`

    - #### setItalic

          public void setItalic(boolean isItalic)

      Specified by:
        `setItalic` in interface `JRFont`

    - #### setItalic

          public void setItalic(java.lang.Boolean isItalic)

      Alternative setItalic method which allows also to reset the "own" isItalic property.
      Specified by:
        `setItalic` in interface `JRFont`

    - #### isUnderline

          public boolean isUnderline()

      Specified by:
        `isUnderline` in interface `JRFont`

    - #### isOwnUnderline

          public java.lang.Boolean isOwnUnderline()

      Specified by:
        `isOwnUnderline` in interface `JRFont`

    - #### setUnderline

          public void setUnderline(boolean isUnderline)

      Specified by:
        `setUnderline` in interface `JRFont`

    - #### setUnderline

          public void setUnderline(java.lang.Boolean isUnderline)

      Alternative setUnderline method which allows also to reset the "own" isUnderline property.
      Specified by:
        `setUnderline` in interface `JRFont`

    - #### isStrikeThrough

          public boolean isStrikeThrough()

      Specified by:
        `isStrikeThrough` in interface `JRFont`

    - #### isOwnStrikeThrough

          public java.lang.Boolean isOwnStrikeThrough()

      Specified by:
        `isOwnStrikeThrough` in interface `JRFont`

    - #### setStrikeThrough

          public void setStrikeThrough(boolean isStrikeThrough)

      Specified by:
        `setStrikeThrough` in interface `JRFont`

    - #### setStrikeThrough

          public void setStrikeThrough(java.lang.Boolean isStrikeThrough)

      Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.
      Specified by:
        `setStrikeThrough` in interface `JRFont`

    - #### getFontsize

          public float getFontsize()

      Specified by:
        `getFontsize` in interface `JRFont`

    - #### getOwnFontsize

          public java.lang.Float getOwnFontsize()

      Specified by:
        `getOwnFontsize` in interface `JRFont`

    - #### setFontSize

          public void setFontSize(java.lang.Float fontSize)

      Method which allows also to reset the "own" size property.
      Specified by:
        `setFontSize` in interface `JRFont`

    - #### getFontSize

          public int getFontSize()

      Deprecated. Replaced by `getFontsize()`.
      Specified by:
        `getFontSize` in interface `JRFont`

    - #### getOwnFontSize

          public java.lang.Integer getOwnFontSize()

      Deprecated. Replaced by `getOwnFontsize()`.
      Specified by:
        `getOwnFontSize` in interface `JRFont`

    - #### setFontSize

          public void setFontSize(int fontSize)

      Deprecated. Replaced by `setFontSize(Float)`.
      Specified by:
        `setFontSize` in interface `JRFont`

    - #### setFontSize

          public void setFontSize(java.lang.Integer fontSize)

      Deprecated. Replaced by `setFontSize(Float)`.
      Specified by:
        `setFontSize` in interface `JRFont`

    - #### getPdfFontName

          public java.lang.String getPdfFontName()

      Specified by:
        `getPdfFontName` in interface `JRFont`

    - #### getOwnPdfFontName

          public java.lang.String getOwnPdfFontName()

      Specified by:
        `getOwnPdfFontName` in interface `JRFont`

    - #### setPdfFontName

          public void setPdfFontName(java.lang.String pdfFontName)

      Specified by:
        `setPdfFontName` in interface `JRFont`

    - #### getPdfEncoding

          public java.lang.String getPdfEncoding()

      Specified by:
        `getPdfEncoding` in interface `JRFont`

    - #### getOwnPdfEncoding

          public java.lang.String getOwnPdfEncoding()

      Specified by:
        `getOwnPdfEncoding` in interface `JRFont`

    - #### setPdfEncoding

          public void setPdfEncoding(java.lang.String pdfEncoding)

      Specified by:
        `setPdfEncoding` in interface `JRFont`

    - #### isPdfEmbedded

          public boolean isPdfEmbedded()

      Specified by:
        `isPdfEmbedded` in interface `JRFont`

    - #### isOwnPdfEmbedded

          public java.lang.Boolean isOwnPdfEmbedded()

      Specified by:
        `isOwnPdfEmbedded` in interface `JRFont`

    - #### setPdfEmbedded

          public void setPdfEmbedded(boolean isPdfEmbedded)

      Specified by:
        `setPdfEmbedded` in interface `JRFont`

    - #### setPdfEmbedded

          public void setPdfEmbedded(java.lang.Boolean isPdfEmbedded)

      Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.
      Specified by:
        `setPdfEmbedded` in interface `JRFont`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com